set terminal postscript color
set out 'raster.ps'
set title 'Activity by Neuron'
set pointsize 1
unset pointsize
unset key
set samples 1000
set bar 0
set multiplot
set lmargin 0
set rmargin 0
set bmargin 0
set tmargin 0
set ylabel "ecell3"
set origin .05, .55
set size .4, .45
plot ((x>=200 && x<=500)?60 : 1/0)  with filledcurves above y1=0 lc rgb "#80FFFF", \
((x>=1500 && x<=2000)?60 : 1/0)  with filledcurves above y1=0 lc rgb "#80FFFF", \
"tmp_snnet_raster.dat" using 1:2:3:4:5 with financebars lc rgb "black" lw 1 lt 1
set origin .05, .0
unset title
set xlabel "time (ms)"
set ylabel "i_cell"
plot ((x>=200 && x<=500)?60 : 1/0)  with filledcurves above y1=0 lc rgb "#80FFFF", \
((x>=1500 && x<=2000)?60 : 1/0)  with filledcurves above y1=0 lc rgb "#80FFFF", \
"tmp_snnet_raster.dat" using 1:2:3:4:5 with financebars lc rgb "black" lw 1 lt 1
unset ylabel
set origin .55, .55
set title "Field Potential"
unset xlabel
plot cos(x) lc rgb "black"
unset title
set origin .55, 0
set xlabel "time (ms)"
plot sin(1/(x**2 + 1)) lc rgb "black"
